//
//  SoftwarePresentationScreen.swift
//  Sequoia
//
//  Created by Victor on 09/10/2024.
//

import SwiftUI

struct SoftwarePresentationScreen: View {
    var body: some View {
        VStack(spacing: 32) {
            SQText("Saviez-vous que votre abonnement peut vous offrir bien plus que de nouveaux clients ?", size: 18, font: .bold)
                .multilineTextAlignment(.center)
            SQText("Bénéficiez d’un accompagnement personnalisé par téléphone pour créer votre structure.", font: .demiBold)
                .multilineTextAlignment(.center)
            VStack(spacing: 16) {
                VStack(alignment: .leading, spacing: 16) {
                    HStack {
                        SQIcon(.file_signature, size: .m)
                        SQText("Créez et envoyez vos devis et factures à tous vos clients", font: .demiBold)
                    }
                    HStack {
                        SQIcon(.address_card, size: .m)
                        SQText("Créez vos cartes de visite et prospectus personnalisés", font: .demiBold)
                    }
                    HStack {
                        SQIcon(.chart_line_up, size: .m)
                        SQText("Suivez votre chiffre d’affaires", font: .demiBold)
                    }
                    HStack {
                        SQIcon(.users, size: .m)
                        SQText("Gérez votre répertoire client regroupant vos clients AlloVoisins et hors AlloVoisins", font: .demiBold)
                    }
                }
                SQText("Inclus, sans surcoût", size: 13, font: .demiBold)
            }
            VStack {
                SQButton("Découvrir le logiciel", color: .sqNeutral(100), textColor: .white) {

                }
                SQButton("J’ai compris, mais je souhaite résilier", color: .white, textSize: 13) {

                }
            }
        }
        .sqNavigationBar(title: "Ne partez pas !")
        .padding()
    }
}

#Preview {
    SoftwarePresentationScreen()
}
